#include<bits/stdc++.h>
using namespace std;
#define pb push_back
int main()
{
    long long n,a;
    cin>>n>>a;
    if(n<a*3)
    {
        cout<<-1;
        return 0;
    }
    vector<pair<long long,long long> >v;
    v.pb({a,0});
    v.pb({a,0});
    v.pb({a,0});
    n-=3*a;
    long long i;
    for(i=0;i<3;i++)
    {
        v[i].second=min(a-2,n);
        n-=min(a-2,n);
        if(n==0)break;
    }
    if(n%2==1)
    {
        v[1].second--;
        n++;
    }
    v[0].second+=n/2;
    v[0].first+=n/2;
    for(i=0;i<3;i++)
    {
        cout<<v[i].first<<":"<<v[i].second<<endl;
    }
}